Register Bre-B Key
curl --request POST \
--url https://test-api-kore.kravata.co/api/v1/admin/users/{user_id}/breb/keys/register \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"key": "@MYKEY",
"idempotencyKey": "reg-key-001"
}
'import requests
url = "https://test-api-kore.kravata.co/api/v1/admin/users/{user_id}/breb/keys/register"
payload = {
"key": "@MYKEY",
"idempotencyKey": "reg-key-001"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({key: '@MYKEY', idempotencyKey: 'reg-key-001'})
};
fetch('https://test-api-kore.kravata.co/api/v1/admin/users/{user_id}/breb/keys/register', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"userId": "e097845b-20b1-4805-9708-740cbcf5d524",
"key": "@MYKEY",
"provider": "powwi",
"idempotencyKey": "reg-key-001",
"providerResponse": {}
}Payments
Register Bre-B Key
Registers the Bre-B key of a user so they can receive instant payments through Colombia’s Bre-B system. Each user can have a single key.
Request
| Field | Type | Required | Description |
|---|---|---|---|
| Authorization | Header | Yes | Bearer <access_token> obtained from POST /api/v1/client/token. |
| user_id | Path | Yes | User who owns the key. |
Request Body
| Field | Type | Required | Description |
|---|---|---|---|
| key | string | Yes | Bre-B key of the user (e.g. an alias such as @MYKEY, phone number or document). |
| idempotencyKey | string | No | Unique value to safely retry the request. |
Response
| Field | Description |
|---|---|
| userId | Owner of the key. |
| key | Registered key. |
| provider | Provider that registered the key. |
| idempotencyKey | Value sent in the request, if any. |
| providerResponse | Raw confirmation from the provider. |
Errors
| Status | Code | When |
|---|---|---|
| 409 | BREB_KEY_ALREADY_REGISTERED | The user already has a key. |
| 422 | BREB_IDENTITY_MISMATCH, BREB_KEY_NOT_FOUND_OR_INACTIVE, BREB_USER_IDENTITY_MISSING, … | The key does not belong to the user’s identity, is inactive, or the user’s identity data is incomplete. |
| 502 | BREB_PROVIDER_UNAVAILABLE | The provider could not be reached; retry later. |
POST
/
api
/
v1
/
admin
/
users
/
{user_id}
/
breb
/
keys
/
register
Register Bre-B Key
curl --request POST \
--url https://test-api-kore.kravata.co/api/v1/admin/users/{user_id}/breb/keys/register \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"key": "@MYKEY",
"idempotencyKey": "reg-key-001"
}
'import requests
url = "https://test-api-kore.kravata.co/api/v1/admin/users/{user_id}/breb/keys/register"
payload = {
"key": "@MYKEY",
"idempotencyKey": "reg-key-001"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({key: '@MYKEY', idempotencyKey: 'reg-key-001'})
};
fetch('https://test-api-kore.kravata.co/api/v1/admin/users/{user_id}/breb/keys/register', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"userId": "e097845b-20b1-4805-9708-740cbcf5d524",
"key": "@MYKEY",
"provider": "powwi",
"idempotencyKey": "reg-key-001",
"providerResponse": {}
}Authorizations
Access token from POST /api/v1/client/token.

